# Create your tests here.
import schedule


def run():
    print("i am running")


#
#
# # schedule.every().days.at("2:00").do(run)  # 每天凌晨两点运行程序
# schedule.every().minute.do(run)  # 每分钟运行一次
# # schedule.every(10).minute.do(run)  # 每10分钟运行一次
# # schedule.every().friday.do(run)  # 每周五运行
# # schedule.every().saturday.at("12:00").do(run)  # 每周六的12点运行程序
# while True:
#     schedule.run_pending()
#     time.sleep(1)


schedule.every(2).seconds.do(run)  # 每10秒执行一次


# while True:
#     schedule.run_pending()  # 运行所有可运行的任务
#     time.sleep(1)


class A(object):
    def m1(self, n):
        print("self:", self)

    @classmethod
    def m2(cls, n):
        print("cls:", cls)

    @staticmethod
    def m3(n):
        print(n)


a = A()
a.m1(1)  # self: <__main__.A object at 0x000001E596E41A90>
A.m2(1)  # cls: <class '__main__.A'>
A.m3(1)
